=== src/doc/mktab/Makefile ===
clean:
	rm -f data vm.tmp.* mkv[12].tmp.* format1
