=== debian/control ===
Source: vmatch
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               genometools,
               libgenometools0-dev,
               zlib1g-dev,
               libbz2-dev,
               asciidoctor
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/vmatch
Vcs-Git: https://salsa.debian.org/med-team/vmatch.git
Homepage: http://www.vmatch.de
Rules-Requires-Root: no

Package: vmatch
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: large scale sequence analysis software
 Vmatch is a versatile software tool for eﬃciently solving large scale
 sequence matching tasks. It subsumes the software tool REPuter, but is
 much more general, with a very ﬂexible user interface, and improved space
 and time requirements.

Package: libvmatch-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: development headers and static library for Vmatch
 This package contains C development headers and a static library to
 build custom programs and selector functions utilizing Vmatch.
 It also includes example source code for selector functions.
