=== debian/changelog ===
vmatch (2.3.1+dfsg-9) unstable; urgency=medium

  * Fix clean step of build to enable building twice in a row.
    Closes: #1045627
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 13 Dec 2023 10:12:23 +0100

vmatch (2.3.1+dfsg-8) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * d/watch:
     - Point to Github tags
     - Add filenamemangle
  * Drop debhelper from Build-Depends

  [ Sascha Steinbiss ]
  * Add patch to fix build with GCC 12.
    Addresses: #1013064

 -- Sascha Steinbiss <satta@debian.org>  Sat, 18 Jun 2022 21:50:11 +0200

vmatch (2.3.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on debhelper.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 18:51:22 +0200

vmatch (2.3.1+dfsg-6) unstable; urgency=medium

  * Source upload to enable testing transition.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 11 Feb 2020 15:26:49 +0100

vmatch (2.3.1+dfsg-5) unstable; urgency=medium

  * Add patch to set PATH_MAX if not available.
    This adds support for GNU Hurd.
  * Add patch to use 'gt dev skproto' instead of the nonexistent
    'skproto' binary.
  * Add simple autopkgtest to verify that executables (and selection
    functions) work.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 08 Feb 2020 11:24:42 +0100

vmatch (2.3.1+dfsg-4) unstable; urgency=medium

  * Pass CFLAGS and friends to SELECT shared object building.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 23 Jan 2020 22:14:29 +0100

vmatch (2.3.1+dfsg-3) unstable; urgency=medium

  * Fix check for SOURCE_DATE_EPOCH.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 22 Jan 2020 06:28:24 +0100

vmatch (2.3.1+dfsg-2) unstable; urgency=medium

  * Source upload to allow for testing migration.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 21 Jan 2020 22:42:18 +0100

vmatch (2.3.1+dfsg-1) unstable; urgency=medium

  * Sync packaged version with upstream tags.
  * Hopefully fix building on various archs by removing -m32/-m64 handling.
  * Add and extend reproducibility patch. Thanks to Chris Lamb.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 21 Jan 2020 21:48:45 +0100

vmatch (2.3.0+git20200101.0.b1bd228+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #947954)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 03 Jan 2020 10:10:26 +0100
