=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                zlib1g-dev,
                libbz2-dev,
                asciidoctor
-Standards-Version: 4.7.2
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/vmatch
 Vcs-Git: https://salsa.debian.org/med-team/vmatch.git
 Homepage: http://www.vmatch.de
