=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PATH:=$(PATH):$(CURDIR)/src/bin
export WORKVSTREESRC=$(CURDIR)/src

%:
	dh $@

override_dh_auto_clean:
	cd src && make cleanup
	test ! -e src/Vmatch/SELECT/Shareddef || (cd src/Vmatch/SELECT && make clean)
	test ! -e src/Makedef || (cd src/Mkvtree && make clean)
	find $(CURDIR) -name "*.x" -delete
	find $(CURDIR) -name "*.d" -delete
	find $(CURDIR) -name "*.so" -delete
	rm -rf debian/man \
	       src/Makedef-debian \
		   src/dist \
		   src/Vmatch/SELECT/Shareddef \
		   src/include/vmrelease.h \
		   src/Makedef \
		   src/Vmatch/virtualexp.h

override_dh_auto_build:
	cp debian/Makedef-debian src/Makedef-debian
	cd src && mklink.sh debian
	cd src && make licensemanager=no $*

override_dh_auto_install:
	cd src && make licensemanager=no dist
	dh_auto_install

override_dh_installman:
	mkdir -p $(CURDIR)/debian/man
	asciidoctor -a docdate='' -b manpage $(CURDIR)/debian/mansrc/*.adoc
	mv $(CURDIR)/debian/mansrc/*.? $(CURDIR)/debian/man
	dh_installman --
